/**
 * Created by zhouhuan on 2017/11/20.
 */
import { connect } from 'dva';
import { withRouter } from 'dva/router';
import List from './list';
import Add from './add';
import Edit from './edit';
import Deploy from './deploy';
import AddDeploy from './addDeploy';
import EditDeploy from './editDeploy';
import route from '../../../../components/hoc/routes';

export default connect(({ appManagement }) => ({ appManagement }))(route({
  childRoutes: [
    {
      path: 'list',
      name: '列表',
      component: withRouter(List, { withRef: true }),
    },
    {
      path: 'add',
      name: '新增',
      component: withRouter(Add, { withRef: true }),
    },
    {
      path: 'edit',
      name: '新增',
      component: withRouter(Edit, { withRef: true }),
    },
    {
      path: 'deploy',
      name: '部署',
      component: withRouter(Deploy, { withRef: true }),
    },
    {
      path: 'addDeploy',
      name: '新增部署信息',
      component: withRouter(AddDeploy, { withRef: true }),
    },
    {
      path: 'editDeploy',
      name: '编辑部署信息',
      component: withRouter(EditDeploy, { withRef: true }),
    },
  ],
}));
